hur.cn - 华软网

 热门搜索

fatal error C1900: “P1”(第“20080116”版)和“P2”(第“20070207”版)之间 Il 不匹配

  作者:未知    来源:网络    更新时间:2009/3/5
这个编译毛病怎么解决??
我用的是VS2008,,到网上查了好像是什么版本不匹配,该怎么解决啊!!
---华软 网友回答---
这一行代码怎么写的...
版本不匹配,那你把工程转换一下试试
---华软网友回复---
转换一下~
---华软网友回复---
MSDN中C1900毛病的说明:

毛病消息
“tool1”版本“number1”和“tool2”版本“number2”之间的 Il 不匹配
在各遍编译器扫描中运行的工具不匹配。number1 和 number2 引用资料上的日期。例如,在第 1 遍扫描中,编译器前端运行 (c1.dll),在第 2 遍扫描中,编译器后端运行 (c2.dll)。资料上的日期必需匹配,如果它们不匹配,请重新装置和运用每一个工具的当前版本。

---华软网友回复---
版本的问题你能够赞成版本,把程序重新编译或把一些有关版本的设置去掉
---华软网友回复---
没用过2008,顶一下
---华软网友回复---
解决了没?
---华软网友回复---
引用 6 楼 eagerle01 的回复:
解决了没?

没呢,,都说转换下,该怎么做啊!!
---华软网友回复---
 “P1”(第“20080116”版)和“P2”(第“20070207”版)之间
   Il  不匹配 
你上面的什么什么版指的是什么啊?
先搞清工具的原因照旧资料的原因。
---华软网友回复---
引用 8 楼 levelmouse 的回复:
“P1”(第“20080116”版)和“P2”(第“20070207”版)之间 
  Il  不匹配 
你上面的什么什么版指的是什么啊? 
先搞清工具的原因照旧资料的原因。

我就是不知道上面的什么什么版指的是什么才来问的啊,这是编译时提醒的毛病信息。 

---华软网友回复---
这是VS的问题,如果以前没有这个问题,能够重装一下VS,如果这是第1次运用,那就是你装置的版本有问题。
---华软网友回复---
那就重新装置一下你的vs看看。
---华软网友回复---
如果实在搞不清楚,卸载重新装置最新版本。
---华软网友回复---
问题解决,,重装VC2008
---华软网友回复---
也遇到过这样的问题,后来发现是我修改了windows系统时间酿成的。

---华软网友回复---
我也出现了~我不知道~来查查~

---华软网友回复---
我也遇到这个问题啦
---华软网友回复---
我也是...求攻略
---华软网友回复---
难道要下个最新版的?      
华软声明:本内容来自网络,如有侵犯您版权请来信指出,本站立即删除。